#
# spec file for package percona-toolkit
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           percona-toolkit
Version:        2.2.10
Release:        0
Summary:        Advanced MySQL and system command-line tools
License:        GPL-2.0
Group:          Productivity/Databases/Tools
Url:            https://www.percona.com/software/percona-toolkit/
Source:         https://www.percona.com/redir/downloads/%{name}/%{version}/tarball/%{name}-%{version}.tar.gz
Source2:        %{name}.conf
Patch0:         percona-toolkit-2.2.x-disable-default-version-check.patch
Requires:       perl(DBD::mysql) >= 1.0
Requires:       perl(DBI) >= 1.13
Requires:       perl(IO::Socket::SSL)
Requires:       perl(Term::ReadKey) >= 2.10
Requires:       perl(Time::HiRes)
Provides:       maatkit = 7410.%{version}
Obsoletes:      maatkit < 7410
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif

%description
Percona Toolkit is a collection of advanced command-line tools used by
Percona (http://www.percona.com/) support staff to perform a variety of
MySQL and system tasks that are too difficult or complex to perform manually.

These tools are ideal alternatives to private or "one-off" scripts because
they are professionally developed, formally tested, and fully documented.
They are also fully self-contained, so installation is quick and easy and
no libraries are installed.

Percona Toolkit is developed and supported by Percona Inc.  For more
information and other free, open-source software developed by Percona,
visit http://www.percona.com/software/.

This collection was formerly known as Maatkit.

%prep
%setup -q
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor < /dev/null
make %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%if 0%{?suse_version} < 1130
rm -rf %{buildroot}/%{perl_vendorarch}/auto/%{name}
rm -rf %{buildroot}%{_localstatedir}/adm/perl-modules/%{name}
%endif
# a blank configuration file
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}/

%check
# check that --version-check is off bnc#864194
for PTCMD in %{buildroot}/%{_bindir}/pt-*
do
  $PTCMD --help 2>&1 |
    grep "\--version-check" || continue	# skip tools that don't support version checks
  $PTCMD --help 2>&1 |
    grep "\--version-check.*FALSE"	# fail those that don't have it disabled
done

%files
%defattr(-,root,root,-)
%doc COPYING README Changelog
%dir %{_sysconfdir}/%{name}
%{_bindir}/pt*
%{_mandir}/man1/*.1*
%config %{_sysconfdir}/%{name}/%{name}.conf

%changelog
